if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi
( cd usr/lib64 ; rm -rf libtracker-sparql-3.0.so )
( cd usr/lib64 ; ln -sf libtracker-sparql-3.0.so.0 libtracker-sparql-3.0.so )
( cd usr/lib64 ; rm -rf libtracker-sparql-3.0.so.0 )
( cd usr/lib64 ; ln -sf libtracker-sparql-3.0.so.0.201.0 libtracker-sparql-3.0.so.0 )
( cd usr/libexec/tracker3 ; rm -rf endpoint )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 endpoint )
( cd usr/libexec/tracker3 ; rm -rf export )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 export )
( cd usr/libexec/tracker3 ; rm -rf help )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 help )
( cd usr/libexec/tracker3 ; rm -rf import )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 import )
( cd usr/libexec/tracker3 ; rm -rf sparql )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 sparql )
( cd usr/libexec/tracker3 ; rm -rf sql )
( cd usr/libexec/tracker3 ; ln -sf /usr/bin/tracker3 sql )
